WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] 2.0 beta upgrade error (11 posts)

  1. geetarista
    Member
    Posted 8 years ago #

    I get this error when trying to upgrade:

    WordPress database error: [Table 'robbycol_wrdp1.wp_usermeta' doesn't exist]
    SELECT meta_key, meta_value FROM wp_usermeta WHERE user_id = '1'

    Warning: Cannot modify header information - headers already sent by (output started at /home/robbycol/public_html/wp-includes/wp-db.php:102) in /home/robbycol/public_html/wp-admin/upgrade.php on line 10

    What should I do?

  2. geetarista
    Member
    Posted 8 years ago #

    Nevermind!

    I did a refresh and the error went away. Cool!

  3. vkaryl
    Member
    Posted 8 years ago #

    Thanks for posting what worked for you!

  4. Sphagnum
    Member
    Posted 8 years ago #

    I get the same error on my blog, refreshing doesn't make it go away. I edited the new wp-config file and same thing:

    <p class='wpdberror'>WordPress database error: [Table 'aarvan01_wrdp1.wp_usermeta' doesn't exist]
    SELECT meta_key, meta_value FROM wp_usermeta WHERE user_id = '1'

  5. Beel
    Member
    Posted 8 years ago #

    And you ran upgrade.php ? It should work after running it.

  6. geetarista
    Member
    Posted 8 years ago #

    That's where the error shows up. Right above the box in upgrade.php.

  7. Beel
    Member
    Posted 8 years ago #

    Can't check it out - you should wrap your calls to plugins with "if (function_exists('blah'))" conditionals to avoid such errors when not activated.

  8. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Good point Beel .... I'll post that.

  9. Sphagnum
    Member
    Posted 8 years ago #

    Thanks for pointing out the obvious, Beel... It works fine now

  10. Sphagnum
    Member
    Posted 8 years ago #

    Hm, that reads kinda sarcastic... Not meant to be, I just mean I was stupid for not doing that already. Thanks Beel

  11. kunstao
    Member
    Posted 8 years ago #

    in my blog http://tao.kaoart.info (in chinese)has also yet with this upgrade WordPress database error,but I used the newest version,

    why?

    http://tao.kaoart.info/

Topic Closed

This topic has been closed to new replies.

About this Topic